<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.597
Name: Histologic grade Breast cancer Nottingham
Description: Template: Histologic grade [Score] in Breast cancer specimen Qualitative by Nottingham
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.597-2019-03-10T000000">
   <title>Histologic grade Breast cancer Nottingham</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.597
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']]]
Item: (HistologicgradeNottingham)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.597
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']]
Item: (HistologicgradeNottingham)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']]"
         id="d20e883-false-d8597e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.597-2019-03-10T000000.html"
              test="string(@classCode) = ('OBS')">(HistologicgradeNottingham): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.597-2019-03-10T000000.html"
              test="string(@moodCode) = ('EVN')">(HistologicgradeNottingham): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.597-2019-03-10T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']) &gt;= 1">(HistologicgradeNottingham): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.597-2019-03-10T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']) &lt;= 1">(HistologicgradeNottingham): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.597-2019-03-10T000000.html"
              test="count(hl7:code[(@code = '44648-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(HistologicgradeNottingham): element hl7:code[(@code = '44648-4' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.597-2019-03-10T000000.html"
              test="count(hl7:code[(@code = '44648-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(HistologicgradeNottingham): element hl7:code[(@code = '44648-4' and @codeSystem = '2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.597-2019-03-10T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(HistologicgradeNottingham): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.597-2019-03-10T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(HistologicgradeNottingham): element hl7:statusCode[@code = 'completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.597-2019-03-10T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.262-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(HistologicgradeNottingham): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.262-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.597-2019-03-10T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.262-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(HistologicgradeNottingham): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.262-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.597
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']
Item: (HistologicgradeNottingham)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']"
         id="d20e889-false-d8652e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.597-2019-03-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HistologicgradeNottingham): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.597-2019-03-10T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.36.10.597')">(HistologicgradeNottingham): de waarde van root MOET '2.16.840.1.113883.2.4.3.36.10.597' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.597
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']]/hl7:code[(@code = '44648-4' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (HistologicgradeNottingham)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']]/hl7:code[(@code = '44648-4' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e894-false-d8667e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.597-2019-03-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HistologicgradeNottingham): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.597-2019-03-10T000000.html"
              test="@nullFlavor or (@code='44648-4' and @codeSystem='2.16.840.1.113883.6.1')">(HistologicgradeNottingham): de elementwaarde MOET een zijn van 'code '44648-4' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.597
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']]/hl7:statusCode[@code = 'completed']
Item: (HistologicgradeNottingham)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']]/hl7:statusCode[@code = 'completed']"
         id="d20e899-false-d8684e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.597-2019-03-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HistologicgradeNottingham): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.597-2019-03-10T000000.html"
              test="@nullFlavor or (@code='completed')">(HistologicgradeNottingham): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.597
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.262-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (HistologicgradeNottingham)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.597']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.262-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d20e905-false-d8703e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.597-2019-03-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HistologicgradeNottingham): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.597-2019-03-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.262-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(HistologicgradeNottingham): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.36.77.11.262 Bloom-Richardson gradering (DYNAMISCH)'.</assert>
   </rule>
</pattern>
