<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.216
Name: Cancer pathology panel
Description: Cancer pathology panel
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.216-2019-03-10T000000">
   <title>Cancer pathology panel</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.216
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]]
Item: (Cancerpathologypanel )
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.216
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]
Item: (Cancerpathologypanel )
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]"
         id="d20e148-false-d646e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.216-2019-03-10T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']) &gt;= 1">(Cancerpathologypanel ): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.216-2019-03-10T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']) &lt;= 1">(Cancerpathologypanel ): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.216-2019-03-10T000000.html"
              test="count(hl7:code[(@code = '85904-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Cancerpathologypanel ): element hl7:code[(@code = '85904-1' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.216-2019-03-10T000000.html"
              test="count(hl7:code[(@code = '85904-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Cancerpathologypanel ): element hl7:code[(@code = '85904-1' and @codeSystem = '2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.216-2019-03-10T000000.html"
              test="count(hl7:title) &gt;= 1">(Cancerpathologypanel ): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.216-2019-03-10T000000.html"
              test="count(hl7:title) &lt;= 1">(Cancerpathologypanel ): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.216-2019-03-10T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(Cancerpathologypanel ): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.216-2019-03-10T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(Cancerpathologypanel ): element hl7:text[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.216-2019-03-10T000000.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]) &gt;= 1">(Cancerpathologypanel ): element hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.216-2019-03-10T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.430']]]) &gt;= 1">(Cancerpathologypanel ): element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.430']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.216-2019-03-10T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.430']]]) &lt;= 1">(Cancerpathologypanel ): element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.430']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.216
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']
Item: (Cancerpathologypanel )
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']"
         id="d20e150-false-d730e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.216-2019-03-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Cancerpathologypanel ): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.216-2019-03-10T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.36.10.216')">(Cancerpathologypanel ): de waarde van root MOET '2.16.840.1.113883.2.4.3.36.10.216' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.216
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]/hl7:code[(@code = '85904-1' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Cancerpathologypanel )
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]/hl7:code[(@code = '85904-1' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e155-false-d745e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.216-2019-03-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Cancerpathologypanel ): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.216-2019-03-10T000000.html"
              test="@nullFlavor or (@code='85904-1' and @codeSystem='2.16.840.1.113883.6.1')">(Cancerpathologypanel ): de elementwaarde MOET een zijn van 'code '85904-1' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.216
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]/hl7:title
Item: (Cancerpathologypanel )
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]/hl7:title"
         id="d20e160-false-d761e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.216-2019-03-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Cancerpathologypanel ): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.216-2019-03-10T000000.html"
              test="text()='Conclusie'">(Cancerpathologypanel ): de elementinhoud van hl7:title MOET ''Conclusie'' zijn. Gevonden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.216
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]/hl7:text[not(@nullFlavor)]
Item: (Cancerpathologypanel )
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]/hl7:text[not(@nullFlavor)]"
         id="d20e166-false-d775e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.216-2019-03-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Cancerpathologypanel ): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SD.TEXT" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.216
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]
Item: (Cancerpathologypanel )
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.592']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.216-2019-03-10T000000.html"
              test="string(@typeCode) = ('DRIV')">(Cancerpathologypanel ): de waarde van typeCode MOET 'DRIV' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.216
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.430']]]
Item: (Cancerpathologypanel )
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.216']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.430']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191017T103402/tmp-2.16.840.1.113883.2.4.3.36.10.216-2019-03-10T000000.html"
              test="string(@typeCode) = ('DRIV')">(Cancerpathologypanel ): de waarde van typeCode MOET 'DRIV' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
